=== debian/changelog ===
qutim (0.2.80-maemo-6) fremantle; urgency=low

  * Add Maemo 5 intergations plugins (Vibra, Led, Tray)
  * Package strip
  * Sync with upstream
  * Many bugfixes
  * Improved performance
  * Cleared UI

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 16 Aug 2011 12:08:54 +0600
