=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev,libhunspell-dev,maemo-optify, libqtm-dev
Standards-Version: 3.7.2

Package: qutim
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl, hunspell-en-ru(>=0.1.2),qutim-maemo-docklet,qutim-smiles-kolobok
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 Supported protocols: Oscar(ICQ), Jabber, Mail.ru(MRIM) 
 Supported langugages: En, Ru, Bg, Cz
XSBC-Maemo-Display-Name: qutIM
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACmAAAApgBNtNH3wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABGqSURBVGiBvZp5lJ1lfcc/73bfu83MnX0y
 WyYJA1kmgZCwBEFJkCLQSqpiUSsgCiUoLniQVlRA22O10HiwVGqr1IJLjacu
 BduegrJYBAkhQGJCmMk2mZnMcmfmru/2LP3j3rmZkLAqPuc8573nXc75fn+/
 7295nucaWmv+4OO228x/2LfvlnR//8dSHR313o4d37188+Yr5x4bhmH88Ic/
 NLds2WJ1dHQYhw8f1pOr/uyElROPDDU3NzuACaj73LNuMv6QBL5+8cX1+WTy
 64mlSy+LL1gQc12XWCyG6zjMPPDAudfed9+jgHH99dc7yWQybllWLAgCva3n
 j84rjo33XZzYe48QIi6EsH7c8+57RXYm+Qch8Ffr1vWrpqa7jSVLzo1lMmYs
 FsN1XVzXxXEcYrEYcteu53aE4emAq7VO2bZdb5pmfEffBRcWepbdtuT+u1Z1
 tWCbpln/v/XnXjE7cPpfmA899FX7zQS+aWBgfdTcfKdYvHjASSZxlSJWLBKG
 IV1dXQRBQLlcpr29Hau7e1X91q2nzTQ0zJqxZOv+xeddOtt2wqVRR0dLafvu
 ka4WYpZltRuOUze7cOVHtNSkTPPRN4XAlSctu7pQl7q1sGBBpxuP4wYBMa0J
 goC1a9dy5plnMj09DcDOnTuZmZnBTGfILt/wg9EFp+SiBV39QTrt+ELjCY09
 nn3IMIyM1rp1r+hZ5tQnrCBQRFa6+/dG4Lb16+0D2exf5+sbrist7qtTSoNW
 BEFIJpNh/fr19PT0YJom2WyWIAwZk0lGut/GTGMnsimDJ+kSUncpw6AYKDyp
 ST4/PHly9qGvq4zRprWun0p1rkYCUhMa6YW/M4EbBgaaZl33rkJT87v9hX2O
 VgoTME1Ne3snGzdupKOjA8/ziKKIYtlje9RFqXsxYTxGWYKQmrKEstSUhSbS
 ld/1L07mFu360QXJZCSVshNKqaRKtS32fYlWGuXULXrDBDatWL08akh+o7ho
 ydmh45haK+rSGQqzU/Qt7OWiiy6it7cXpRRKKYQQjJUNnqtfhWqux5eaUBmU
 hKoArxIIJLj5kO6h7MG67T+6MuEOz4w0ntLXNTPomqYZd51kXEuNVhppp/pf
 N4FPrFnzDq++4e9LK5Yuk6aB1hpLSoIwom/hMlZe+35Wt/nELKNi8WKRsbEx
 tnudhEuXIgyTstR4EqShKUpNWYASmoaRMu6BQVp2bHkwrI9uH1z5x53Ppj54
 e/zQ1I4uBn8phIgp7VhKalAa7bqdr5nAJ89Yd73X3HxzMHByu1IKQysMIQmj
 gNWrT2HdunXYts0z44In6toZUHtRoU8ul+N5v5dwxYl4EspCH2XxsgQ1EXHq
 /u1MPPNt8l1nsPX0qzbke7o3aBszmUeeOP34F5Wr2rXWbkG7KRsIpUY7dsMr
 Erh1YCCWa2r+StjWcXWwclVKK42hFVIItJac9/b1nHPOObiuy8zMDNPT0zRZ
 sxgNC3jit40sdV5gcDykMNCPX7V6uWrxOS+IrObdU4+RSI+x+6RLeXH1W9FK
 m1pqWvOWrHtq6IZW8/lyGOqUcNKpsbTb7NoQBhpDGfq4BG49++y2QiL9jfDU
 M94pUklbK4WlNSW/SF1dmosuuoC1a9dimiZSSjzPo1gsksvlmGIhSQWHgyQt
 uSl2B6swTPDmgS6rI144bWqcxQvg2ak+Xlx1BnP61lJT9/hTn+oJv7dVOU6v
 1jrz645r3xdZyggLlXcsYcqjCNx89vpTosaGf4wGTjlTxVwDrbCUZjo3S29P
 F++59E/p7e1Fa43v+2itkVIihMD3ffL5POXuNlSk8QTkcjnCljaEmJOLxjRN
 TMCTmqLQdLvTFItFfqpOQ1EBjqxcM/kHWrWrFxSILdmxcNNVufZUq64+00pj
 SC1sgM9vOP8S2dz6d9Hpp/drw8DUGhlFTE1OcOqa1Xzoqg8Sj8dRShGGYS2z
 KKVqgZrNZhm1luH2unhS42OQz+eRy1KVQJWaQIBpVTJNWYKUmuFAsK20FL83
 TqNpkC1KtAKtNNvedtPnYoVgyk+6jSKm7bRrYpkGuVyEkBon0AXjcxe/85/0
 qtXXSKUqlg18xkYPccaZp3HeeeeRyWQwDKOWCqWUKKWQUhKGIb7vMzU1xaGJ
 HFNrLkXEK3IpegpveAavpxFvfppUlfQZRqomFa00NuAAxWqOtzTEbZN8SaCl
 xjGhMWWjtaZcluRzgv69/lW2ubj/Q8o0sQyDkdFh+vsX84lPXEc6nQbANE3C
 MMTzPKSUNQJzZIrFIpOTk+xzz8Z1IZQQaPAsKHU34on5GUcTStBKHaV1rTRh
 ldycRKTWRHrec6GJYpUi6XuSRZ470jF+w3/YZhT4mJYDmg9cfiWrVpwIULNy
 EAS136ZpopQCQGtNGIYUCgVyhRLmW3opC43QBl41WEtV0AqDSEFQbQEsrYkZ
 BoGuANfzgKM0htZIoSmHVaKyIqnJbEjCMFnmuyOpfY++a3fLJa5pjI1917JM
 DMNkQVcXUkq01kfpfM7yvu8ThmEtaAuFArlcjrHEGnwXCgLykaYgIBdVgrQo
 Krk/khotFUoqEqaBgyZpUgOupcYxIBO3aEpYpBwTLeaeKRxgwIqLsybH71P7
 v/nnOxecdkc6tuFP7A4Vfnqy7F1tpJLWjud2sHrVSURRdBSB+XNu/aCUqpEo
 LVtBIKhqvSoZcSTvq3lS0VIjkYCBEJpaVZWahGtiqMr7cdOgBCilWWq7dE1P
 Pa13bb5rpPf9K/d0feDBhWFsKLPnQ/eZ1/zsZ+V+1/6vzu5u9g0OojgSsHP5
 fW4WCgVKpRKe5+H7PqVSiaIXEDbGKIkjFi8KTakqITXPwnOz4CvyniTvVQJU
 veS9OUJKKFbnCjQ+eAPyFx87NGV3ZV5ILvq4Iwyj/dBTl/T09CgbIFaYufa0
 U1cPHzo8boyMTtLaVEcsFqvkbNNECIFSCsuyMAyjmgnKFItFZmN9FDSUqsE6
 54WgqttazlYaU1ORktLIo4K4IqW8J0nbBgZQ9iQpz8T8zReQRkQUi58/2Hf5
 +kBLqyO096upfx6ZcV1lAmzcvHlk9LFHty5c1EdjphE3kUAIgda6tuSzbZtE
 IoHruhiGgWVZWJaFl+6jICpNWUlWroHkGKsrqZFCHXXPUBXda6nQUhGFiumC
 IDsbUfIkniHp6GxHY7Dn5FuTM6au11JTL+Sv8/l8tGXLliOtxMzQCx9tK7/1
 N07cxXISSJmvFa65ajsX4FJKSqUSvu9jO6pm/bLUiJplqUlBv8zVtQxiBvhy
 /v2K52wDIq35n+5PwwJF2TRRkQKlqfcm711w4ony4Ycf1uYcgfd97WtPHX7y
 1/vCMML3A9INGSzLIpFIEI/HSSQSJJNJkslkTV4AtjdOqAyKogq+NlVN2yhN
 woCYPtozni/JVQvV/O8q+tdooSlq8AwT26gQa5SW9Hbd/PjMzIzSWh8hAJDb
 veumMArxvDKWHasF8lz6nPOEUgrDMHAcB7uwD0tx3GCdk4atwdBgG0e/V5HV
 kf4nYRm4loEWiiiUiCqZSCg8T6KFptOfFolEItqyZYuGygYRR7xwx5bs9u3Z
 MIwoFMtIWakBhmFg2zaWZeE4Dul0mtbWVhoaGkhR4KRidBzwR2YYSsJQ4gVH
 YsDSR5OxDYiZBgnLwITqOxoLavXA1QYLC4/F2oeHO4FjCQBM73zujiiKKOQL
 tHR0EovFsCwLrXXN+o7j4LpuTU7O2O5XJCClxgsVYSQrwIC4aVRyftUTYagQ
 kSIIKtc5UhYVT8ZMON8ZRxZ+YxiJ5F1zeI8hcPnmO76c3zvkR1HFC7bj1Pof
 27ZxXZdSqcTExASFQgEhBCOpzlck8FJZRaGk6IuafHRVSrNFUWvetNQEvsLS
 sKIpwecHbGa3/S22bRN0dJ533YoVKYDjLmimt2/7t1hn9zXZ7DQ9nW2oeQ2c
 7/sIIRBCUCwWGdcN7E7VHVVRXy7rHHvlmPuG0rylNcXihKLRiWiPC1Z15Wlt
 jZEsXcIjDz+GSqUsXVf/NeAjx3gAICwXPlWeGJdhEOIFEsuq8LQsC9d1SSQS
 2LZN2fPYvnAjshqsc3I4fkAfvVip/FbEDE3MNGrkNzYavKf+Qc5K/4o1jc/T
 XX8AIbJMTU2xfPly8oU8lmkStHd84LgSArjm7rvLs9u2/ncYRYyNHaY+04jr
 uqRSKVzXRWtNPp9ntz3AoXjimBQ4vz2YT8bUuqZ9Xc06DgYxNG61setLDFOX
 TpHJZHhyspeSaKO+vp66ujp6enpobGzAtCxkpjH+8XXrPndcAgByZHxTkM9r
 z/cp+SFi3gLG8zyEELTrgLUJhxi8hMTRFXeOiIg0QahQQtdIqGogm9Ua8ehE
 KzuySe7e3s2P96Q4qUsSj8eJxWKEYciG8y/ANE0s0yJqar3+ZQlc/f17hnPb
 tm6Lwojhg6Ok6+qJoqjWXiQSCRrC3Sx99l4uiqnjyOXYe0pqwkghpUaIylRR
 pWhFYYX4EzMmX9m5kO2zMT57hsBxKomjsakZO1FHPl/CMi1My4Rksv4Vt1WC
 kf0fDfxTn1BKonRXZRtcylotaGlpobh/Pxx8Gp1e/arBitKYilrF9iJVyfOq
 QgClaU7YnNOR4F2LsnS1+th2A6GEXzzyK7Y9+RSFYh7TtDAUxCfGv/Wq5wPf
 +Msv7EuuPLmvqbmRlctOoFQsYJom+XyebDbL4OAgQ7G1/NReTCSOXSrOv9qG
 ATXrV9bEza7FKS1xuuKaNiegPzVBUzpPuq6OZEMjzzy9nV3PP1fZTNAKHQns
 keFBa2rqxtsff+wnr7oz5+/b91ln6fLvTU1lkfRj25VPEokE6XSaTCZDZngb
 Fy47iZ+N+a+cNql4Q8mK5S/sSXB2/AWS5ijxRCVJJFJpbKeOHTtfYO/QEFII
 lNZYUaRjBw88yfTMdV99/JFn5vC9phOaO2++Lesu6W/q7e7ixBN68D0PgDAM
 GR0dZXBwkGzUwrPd7+DpCY8oenlPGErTn4nz3o4iS9IvkkhUKrodi+N5ATt2
 7GR8dAytdWXm88I6sO8BJz+96dbHHht7KbbXtDcaDL242ezt+9L+g8MsXtRN
 Nps9qqlraWnBGx7m5KF/p2nJe7n/YKkGmOrVVDDQ7HJ+i2AgPUhdnSaRaCNV
 V8fU5AxPP72V2dksWlXqDZMTZQ7u/7blFW+85Ze/9F8O22s+I7v9C3/jxTo6
 48uX9bOwuwMhotpCf2ZmhpGREUZGRhBNa/h+NMBkPkKryu7DmpYY59YXWRIf
 oq7eIZPJ0NjcCqaFiBR7h4YY2vMis7Oz6IMHJvXowa/c8vP773gtuF7z7nS4
 Z/d3aW798K7dgyw9cRGzMxWj2LZNQ0MDAI7jMD0zxIcXnMBIWz1JGdBpZGm3
 9pJIxchkGmlqbUUog5lcEcuqdLg93V1Y+/cO7t2758ZN//qtn7xWTPA6PHDb
 hg1p55zzZ+1Mo3XG6afS1lSHEALbtmt7pblcjtnZWXzfr7Ud6XSaxqYm6uob
 yc7mKRdLWLZd+c739OzTTz1Z3n/wuvfeecczr47idyAA8MXLPvhza/VpF6bS
 Kd7x9rMZGx2trY8Nw8AwKocaQRCAYdDW2kY8Wcfo4XGKxTKO42BZFmJ2WpSe
 feZ+byR77RXfunP8jQCfG6/rhEZPTm8KS8V9UikjX/RpaWmpgK0OpRSmadHc
 3IzEZN/+Q3jegepiyMYfPlAu7971bTOXvfGKe+552cB8PeN1H3TffNkV28zl
 A6tbmpt4z8YLmZ7OImWlY21ra2f/oVF27R4kDENsy8IyTaL9Q5Ph/qEvX/cv
 39z8+wA9f7zuMzJj8vDHIr///yYmp/jt7kHOOnMtnldm27O7eOjRJ1FKV4Cj
 8Qf3vKhGD934yR/c99PfN/AanjfyV4PPXHblAb34hF7bsrAdu9IdWha2ZWGK
 SBtDe540x8c33Xj/j7e/CZiPGm/omNUcH7056O27VymFrO7YOeUZoQ/uu5+p
 /LW3/OI/f6fAfD3jDf/Z46aLNn5H9C56n+F5Xmzi8HdcP/eZV6qYb9b4fwkI
 DO2dzZsSAAAAAElFTkSuQmCC
 ====

Package: qutim-extra-protocols
Section: user/network
Architecture: any
Depends: qutim,libpurple0
Description: IRC, Vkontakte, and all pidgin protocols for qutIM
XSBC-Maemo-Display-Name: qutIM extra protocols
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACmAAAApgBNtNH3wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABGqSURBVGiBvZp5lJ1lfcc/73bfu83MnX0y
 WyYJA1kmgZCwBEFJkCLQSqpiUSsgCiUoLniQVlRA22O10HiwVGqr1IJLjacu
 BduegrJYBAkhQGJCmMk2mZnMcmfmru/2LP3j3rmZkLAqPuc8573nXc75fn+/
 7295nucaWmv+4OO228x/2LfvlnR//8dSHR313o4d37188+Yr5x4bhmH88Ic/
 NLds2WJ1dHQYhw8f1pOr/uyElROPDDU3NzuACaj73LNuMv6QBL5+8cX1+WTy
 64mlSy+LL1gQc12XWCyG6zjMPPDAudfed9+jgHH99dc7yWQybllWLAgCva3n
 j84rjo33XZzYe48QIi6EsH7c8+57RXYm+Qch8Ffr1vWrpqa7jSVLzo1lMmYs
 FsN1XVzXxXEcYrEYcteu53aE4emAq7VO2bZdb5pmfEffBRcWepbdtuT+u1Z1
 tWCbpln/v/XnXjE7cPpfmA899FX7zQS+aWBgfdTcfKdYvHjASSZxlSJWLBKG
 IV1dXQRBQLlcpr29Hau7e1X91q2nzTQ0zJqxZOv+xeddOtt2wqVRR0dLafvu
 ka4WYpZltRuOUze7cOVHtNSkTPPRN4XAlSctu7pQl7q1sGBBpxuP4wYBMa0J
 goC1a9dy5plnMj09DcDOnTuZmZnBTGfILt/wg9EFp+SiBV39QTrt+ELjCY09
 nn3IMIyM1rp1r+hZ5tQnrCBQRFa6+/dG4Lb16+0D2exf5+sbrist7qtTSoNW
 BEFIJpNh/fr19PT0YJom2WyWIAwZk0lGut/GTGMnsimDJ+kSUncpw6AYKDyp
 ST4/PHly9qGvq4zRprWun0p1rkYCUhMa6YW/M4EbBgaaZl33rkJT87v9hX2O
 VgoTME1Ne3snGzdupKOjA8/ziKKIYtlje9RFqXsxYTxGWYKQmrKEstSUhSbS
 ld/1L07mFu360QXJZCSVshNKqaRKtS32fYlWGuXULXrDBDatWL08akh+o7ho
 ydmh45haK+rSGQqzU/Qt7OWiiy6it7cXpRRKKYQQjJUNnqtfhWqux5eaUBmU
 hKoArxIIJLj5kO6h7MG67T+6MuEOz4w0ntLXNTPomqYZd51kXEuNVhppp/pf
 N4FPrFnzDq++4e9LK5Yuk6aB1hpLSoIwom/hMlZe+35Wt/nELKNi8WKRsbEx
 tnudhEuXIgyTstR4EqShKUpNWYASmoaRMu6BQVp2bHkwrI9uH1z5x53Ppj54
 e/zQ1I4uBn8phIgp7VhKalAa7bqdr5nAJ89Yd73X3HxzMHByu1IKQysMIQmj
 gNWrT2HdunXYts0z44In6toZUHtRoU8ul+N5v5dwxYl4EspCH2XxsgQ1EXHq
 /u1MPPNt8l1nsPX0qzbke7o3aBszmUeeOP34F5Wr2rXWbkG7KRsIpUY7dsMr
 Erh1YCCWa2r+StjWcXWwclVKK42hFVIItJac9/b1nHPOObiuy8zMDNPT0zRZ
 sxgNC3jit40sdV5gcDykMNCPX7V6uWrxOS+IrObdU4+RSI+x+6RLeXH1W9FK
 m1pqWvOWrHtq6IZW8/lyGOqUcNKpsbTb7NoQBhpDGfq4BG49++y2QiL9jfDU
 M94pUklbK4WlNSW/SF1dmosuuoC1a9dimiZSSjzPo1gsksvlmGIhSQWHgyQt
 uSl2B6swTPDmgS6rI144bWqcxQvg2ak+Xlx1BnP61lJT9/hTn+oJv7dVOU6v
 1jrz645r3xdZyggLlXcsYcqjCNx89vpTosaGf4wGTjlTxVwDrbCUZjo3S29P
 F++59E/p7e1Fa43v+2itkVIihMD3ffL5POXuNlSk8QTkcjnCljaEmJOLxjRN
 TMCTmqLQdLvTFItFfqpOQ1EBjqxcM/kHWrWrFxSILdmxcNNVufZUq64+00pj
 SC1sgM9vOP8S2dz6d9Hpp/drw8DUGhlFTE1OcOqa1Xzoqg8Sj8dRShGGYS2z
 KKVqgZrNZhm1luH2unhS42OQz+eRy1KVQJWaQIBpVTJNWYKUmuFAsK20FL83
 TqNpkC1KtAKtNNvedtPnYoVgyk+6jSKm7bRrYpkGuVyEkBon0AXjcxe/85/0
 qtXXSKUqlg18xkYPccaZp3HeeeeRyWQwDKOWCqWUKKWQUhKGIb7vMzU1xaGJ
 HFNrLkXEK3IpegpveAavpxFvfppUlfQZRqomFa00NuAAxWqOtzTEbZN8SaCl
 xjGhMWWjtaZcluRzgv69/lW2ubj/Q8o0sQyDkdFh+vsX84lPXEc6nQbANE3C
 MMTzPKSUNQJzZIrFIpOTk+xzz8Z1IZQQaPAsKHU34on5GUcTStBKHaV1rTRh
 ldycRKTWRHrec6GJYpUi6XuSRZ470jF+w3/YZhT4mJYDmg9cfiWrVpwIULNy
 EAS136ZpopQCQGtNGIYUCgVyhRLmW3opC43QBl41WEtV0AqDSEFQbQEsrYkZ
 BoGuANfzgKM0htZIoSmHVaKyIqnJbEjCMFnmuyOpfY++a3fLJa5pjI1917JM
 DMNkQVcXUkq01kfpfM7yvu8ThmEtaAuFArlcjrHEGnwXCgLykaYgIBdVgrQo
 Krk/khotFUoqEqaBgyZpUgOupcYxIBO3aEpYpBwTLeaeKRxgwIqLsybH71P7
 v/nnOxecdkc6tuFP7A4Vfnqy7F1tpJLWjud2sHrVSURRdBSB+XNu/aCUqpEo
 LVtBIKhqvSoZcSTvq3lS0VIjkYCBEJpaVZWahGtiqMr7cdOgBCilWWq7dE1P
 Pa13bb5rpPf9K/d0feDBhWFsKLPnQ/eZ1/zsZ+V+1/6vzu5u9g0OojgSsHP5
 fW4WCgVKpRKe5+H7PqVSiaIXEDbGKIkjFi8KTakqITXPwnOz4CvyniTvVQJU
 veS9OUJKKFbnCjQ+eAPyFx87NGV3ZV5ILvq4Iwyj/dBTl/T09CgbIFaYufa0
 U1cPHzo8boyMTtLaVEcsFqvkbNNECIFSCsuyMAyjmgnKFItFZmN9FDSUqsE6
 54WgqttazlYaU1ORktLIo4K4IqW8J0nbBgZQ9iQpz8T8zReQRkQUi58/2Hf5
 +kBLqyO096upfx6ZcV1lAmzcvHlk9LFHty5c1EdjphE3kUAIgda6tuSzbZtE
 IoHruhiGgWVZWJaFl+6jICpNWUlWroHkGKsrqZFCHXXPUBXda6nQUhGFiumC
 IDsbUfIkniHp6GxHY7Dn5FuTM6au11JTL+Sv8/l8tGXLliOtxMzQCx9tK7/1
 N07cxXISSJmvFa65ajsX4FJKSqUSvu9jO6pm/bLUiJplqUlBv8zVtQxiBvhy
 /v2K52wDIq35n+5PwwJF2TRRkQKlqfcm711w4ony4Ycf1uYcgfd97WtPHX7y
 1/vCMML3A9INGSzLIpFIEI/HSSQSJJNJkslkTV4AtjdOqAyKogq+NlVN2yhN
 woCYPtozni/JVQvV/O8q+tdooSlq8AwT26gQa5SW9Hbd/PjMzIzSWh8hAJDb
 veumMArxvDKWHasF8lz6nPOEUgrDMHAcB7uwD0tx3GCdk4atwdBgG0e/V5HV
 kf4nYRm4loEWiiiUiCqZSCg8T6KFptOfFolEItqyZYuGygYRR7xwx5bs9u3Z
 MIwoFMtIWakBhmFg2zaWZeE4Dul0mtbWVhoaGkhR4KRidBzwR2YYSsJQ4gVH
 YsDSR5OxDYiZBgnLwITqOxoLavXA1QYLC4/F2oeHO4FjCQBM73zujiiKKOQL
 tHR0EovFsCwLrXXN+o7j4LpuTU7O2O5XJCClxgsVYSQrwIC4aVRyftUTYagQ
 kSIIKtc5UhYVT8ZMON8ZRxZ+YxiJ5F1zeI8hcPnmO76c3zvkR1HFC7bj1Pof
 27ZxXZdSqcTExASFQgEhBCOpzlck8FJZRaGk6IuafHRVSrNFUWvetNQEvsLS
